<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingLeft="10dp"
    android:paddingRight="10dp"
    android:orientation="horizontal"
    android:descendantFocusability="blocksDescendants">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="50dp"
        android:orientation="vertical"
        android:gravity="left|center_vertical"
        android:layout_weight="1">

        <TextView
            android:id="@+id/bl_title"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:ellipsize="end"
            android:maxLines="1"
            android:maxWidth="250dp"
            android:padding="3dp"
            android:text="Main Titledfsafsafsdfsdfsdfsd"
            android:gravity="left|center_vertical"
            android:textSize="20sp" />

    </LinearLayout>

    <TextView
        android:id="@+id/sub_title"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:gravity="right|center_vertical"
        android:ellipsize="end"
        android:maxLines="1"
        android:text="SubTitle"
        android:visibility="visible" />

    <Button
        android:id="@+id/bl_deleteBtn"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="right|center_vertical"
        android:layout_marginTop="2dp"
        android:text="@string/delete"
        android:visibility="gone" />
</LinearLayout>